# Uses of Class
java.awt.PageAttributes.OriginType

Packages that use PageAttributes.OriginType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PageAttributes.OriginType in java.awt

Fields in java.awt declared as PageAttributes.OriginType
Modifier and Type
Field
Description
`static final PageAttributes.OriginType`
PageAttributes.OriginType.`PHYSICAL`
The OriginType instance to use for specifying a physical origin.
`static final PageAttributes.OriginType`
PageAttributes.OriginType.`PRINTABLE`
The OriginType instance to use for specifying a printable origin.
Methods in java.awt that return PageAttributes.OriginType
Modifier and Type
Method
Description
`PageAttributes.OriginType`
PageAttributes.`getOrigin()`
Returns whether drawing at (0, 0) to pages using these attributes draws at the upper-left corner of the physical page, or at the upper-left corner of the printable area.
Methods in java.awt with parameters of type PageAttributes.OriginType
Modifier and Type
Method
Description
`void`
PageAttributes.`setOrigin(PageAttributes.OriginType origin)`
Specifies whether drawing at (0, 0) to pages using these attributes draws at the upper-left corner of the physical page, or at the upper-left corner of the printable area.
Constructors in java.awt with parameters of type PageAttributes.OriginType
Modifier
Constructor
Description
``
`PageAttributes(PageAttributes.ColorType color, PageAttributes.MediaType media, PageAttributes.OrientationRequestedType orientationRequested, PageAttributes.OriginType origin, PageAttributes.PrintQualityType printQuality, int[] printerResolution)`
Constructs a PageAttributes instance with the specified values for every attribute.